/*
	Author:		Nathaniel Meyer
	E-Mail:		nate@nutty.ca
	Website:	http://www.nutty.ca

	Desc:		Vertex Program for transforming vertex.
				No colouring or lighting necessary.
*/


/*
	Vertex Program Entry Point
*/
void main ()
{
	/*
		Transform vertex to clip space
		1) Object Space -> World Space	= Model_Matrix x Position
		2) World Space -> Clip Space	= Projection_Matrix x 1)
	*/
	gl_Position = gl_ProjectionMatrix * (gl_ModelViewMatrix * gl_Vertex);

	// Output Texture Coordinates
	gl_TexCoord[0] = gl_MultiTexCoord0;

	// Colour pixel
	gl_FrontColor = 1.0.xxxx;
}